/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-交付标准-成分标准
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.slmord.mapper.SlmOrdDesignStdCicMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_STD_CIC", namespace=SlmOrdDesignStdCicMapper.class)
public class SlmOrdDesignStdCic extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String  getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 成分标准索引号(CICN000001)
	 */ 
	@Id
	private String cic;
	public String  getCic() {
		return this.cic;
	}
	public void setCic(String cic) {
		this.cic = cic;
	}

	
	/**
	 * 全程工序顺序号
	 */
	@Id
	private int backlog_seq;
	
	public int getBacklog_seq() {
		return backlog_seq;
	}
	public void setBacklog_seq(int backlog_seq) {
		this.backlog_seq = backlog_seq;
	}
	/** 
	 * 协议或Alpha代码(用途码)
	 */ 
	@Column
	private String alpha_code;
	public String  getAlpha_code() {
		return this.alpha_code;
	}
	public void setAlpha_code(String alpha_code) {
		this.alpha_code = alpha_code;
	}

	/** 
	 * 协议或Alpha描述(用途描述)
	 */ 
	@Column
	private String alpha_name;
	public String  getAlpha_name() {
		return this.alpha_name;
	}
	public void setAlpha_name(String alpha_name) {
		this.alpha_name = alpha_name;
	}

	/** 
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 */ 
	@Id
	private String specl_fl;
	public String  getSpecl_fl() {
		return this.specl_fl;
	}
	public void setSpecl_fl(String specl_fl) {
		this.specl_fl = specl_fl;
	}

	/** 
	 * 序号
	 */ 
	@Id
	private Integer index_seq;
	public Integer  getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Integer index_seq) {
		this.index_seq = index_seq;
	}

	/** 
	 * 化学元素代码
	 */ 
	@Column
	private String chem_code;
	public String  getChem_code() {
		return this.chem_code;
	}
	public void setChem_code(String chem_code) {
		this.chem_code = chem_code;
	}

	/** 
	 * 化学元素描述
	 */ 
	@Column
	private String chem_name;
	public String  getChem_name() {
		return this.chem_name;
	}
	public void setChem_name(String chem_name) {
		this.chem_name = chem_name;
	}

	/** 
	 * 化学元素类型(A:单一元素,B:复合元素)
	 */ 
	@Column
	private String chem_type;
	public String  getChem_type() {
		return this.chem_type;
	}
	public void setChem_type(String chem_type) {
		this.chem_type = chem_type;
	}

	/** 
	 * 复合元素计算公式
	 */ 
	@Column
	private String chem_formula;
	public String  getChem_formula() {
		return this.chem_formula;
	}
	public void setChem_formula(String chem_formula) {
		this.chem_formula = chem_formula;
	}

	/** 
	 * 是否必检项()1:是，0：否)
	 */ 
	@Column
	private String ischeck;
	public String  getIscheck() {
		return this.ischeck;
	}
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	/** 
	 * 是否判定(1:是，0：否)
	 */ 
	@Column
	private String isjudge;
	public String  getIsjudge() {
		return this.isjudge;
	}
	public void setIsjudge(String isjudge) {
		this.isjudge = isjudge;
	}

	/** 
	 * 是否报出(1:是，0：否)
	 */ 
	@Column
	private String isquote;
	public String  getIsquote() {
		return this.isquote;
	}
	public void setIsquote(String isquote) {
		this.isquote = isquote;
	}

	/** 
	 * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
	 */ 
	@Column
	private String complex_type;
	public String  getComplex_type() {
		return this.complex_type;
	}
	public void setComplex_type(String complex_type) {
		this.complex_type = complex_type;
	}

	/** 
	 * 标准范围下限符号
	 */ 
	@Column
	private String stdmin_sign;
	public String  getStdmin_sign() {
		return this.stdmin_sign;
	}
	public void setStdmin_sign(String stdmin_sign) {
		this.stdmin_sign = stdmin_sign;
	}

	/** 
	 * 标准范围下限
	 */ 
	@Column
	private String stdmin;
	public String  getStdmin() {
		return this.stdmin;
	}
	public void setStdmin(String stdmin) {
		this.stdmin = stdmin;
	}

	/** 
	 * 标准范围上限符号
	 */ 
	@Column
	private String stdmax_sign;
	public String  getStdmax_sign() {
		return this.stdmax_sign;
	}
	public void setStdmax_sign(String stdmax_sign) {
		this.stdmax_sign = stdmax_sign;
	}

	/** 
	 * 标准范围上限
	 */ 
	@Column
	private String stdmax;
	public String  getStdmax() {
		return this.stdmax;
	}
	public void setStdmax(String stdmax) {
		this.stdmax = stdmax;
	}

	/** 
	 * 标准目标值
	 */ 
	@Column
	private String stdtarget;
	public String  getStdtarget() {
		return this.stdtarget;
	}
	public void setStdtarget(String stdtarget) {
		this.stdtarget = stdtarget;
	}

	/** 
	 * 扣型代码(集合)
	 */ 
	@Column
	private String model_code;
	public String  getModel_code() {
		return this.model_code;
	}
	public void setModel_code(String model_code) {
		this.model_code = model_code;
	}

	/** 
	 * 扣型描述(集合)
	 */ 
	@Column
	private String model_desc;
	public String  getModel_desc() {
		return this.model_desc;
	}
	public void setModel_desc(String model_desc) {
		this.model_desc = model_desc;
	}

	/** 
	 * 标准备注
	 */ 
	@Column
	private String stdmemo;
	public String  getStdmemo() {
		return this.stdmemo;
	}
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	/** 
	 * 限制元素代码
	 */ 
	@Column
	private String ele_code;
	public String  getEle_code() {
		return this.ele_code;
	}
	public void setEle_code(String ele_code) {
		this.ele_code = ele_code;
	}

	/** 
	 * 限制元素描述
	 */ 
	@Column
	private String ele_name;
	public String  getEle_name() {
		return this.ele_name;
	}
	public void setEle_name(String ele_name) {
		this.ele_name = ele_name;
	}

	/** 
	 * 限制元素下限符号
	 */ 
	@Column
	private String ele_min_sign;
	public String  getEle_min_sign() {
		return this.ele_min_sign;
	}
	public void setEle_min_sign(String ele_min_sign) {
		this.ele_min_sign = ele_min_sign;
	}

	/** 
	 * 限制元素下限
	 */ 
	@Column
	private String ele_min;
	public String  getEle_min() {
		return this.ele_min;
	}
	public void setEle_min(String ele_min) {
		this.ele_min = ele_min;
	}

	/** 
	 * 限制元素上限符号
	 */ 
	@Column
	private String ele_max_sign;
	public String  getEle_max_sign() {
		return this.ele_max_sign;
	}
	public void setEle_max_sign(String ele_max_sign) {
		this.ele_max_sign = ele_max_sign;
	}

	/** 
	 * 限制元素上限
	 */ 
	@Column
	private String ele_max;
	public String  getEle_max() {
		return this.ele_max;
	}
	public void setEle_max(String ele_max) {
		this.ele_max = ele_max;
	}

	/** 
	 * 限制规格代码(外径、壁厚、径壁比等)
	 */ 
	@Column
	private String size_code2;
	public String  getSize_code2() {
		return this.size_code2;
	}
	public void setSize_code2(String size_code2) {
		this.size_code2 = size_code2;
	}

	/** 
	 * 限制规格描述
	 */ 
	@Column
	private String size_name2;
	public String  getSize_name2() {
		return this.size_name2;
	}
	public void setSize_name2(String size_name2) {
		this.size_name2 = size_name2;
	}

	/** 
	 * 限制规格下限符号
	 */ 
	@Column
	private String size_min_sign2;
	public String  getSize_min_sign2() {
		return this.size_min_sign2;
	}
	public void setSize_min_sign2(String size_min_sign2) {
		this.size_min_sign2 = size_min_sign2;
	}

	/** 
	 * 限制规格下限
	 */ 
	@Column
	private String size_min2;
	public String  getSize_min2() {
		return this.size_min2;
	}
	public void setSize_min2(String size_min2) {
		this.size_min2 = size_min2;
	}

	/** 
	 * 限制规格上限符号
	 */ 
	@Column
	private String size_max_sign2;
	public String  getSize_max_sign2() {
		return this.size_max_sign2;
	}
	public void setSize_max_sign2(String size_max_sign2) {
		this.size_max_sign2 = size_max_sign2;
	}

	/** 
	 * 限制规格上限
	 */ 
	@Column
	private String size_max2;
	public String  getSize_max2() {
		return this.size_max2;
	}
	public void setSize_max2(String size_max2) {
		this.size_max2 = size_max2;
	}

	/** 
	 * 限制规格代码(外径、壁厚、径壁比等)
	 */ 
	@Column
	private String size_code;
	public String  getSize_code() {
		return this.size_code;
	}
	public void setSize_code(String size_code) {
		this.size_code = size_code;
	}

	/** 
	 * 限制规格描述
	 */ 
	@Column
	private String size_name;
	public String  getSize_name() {
		return this.size_name;
	}
	public void setSize_name(String size_name) {
		this.size_name = size_name;
	}

	/** 
	 * 限制规格下限符号
	 */ 
	@Column
	private String size_min_sign;
	public String  getSize_min_sign() {
		return this.size_min_sign;
	}
	public void setSize_min_sign(String size_min_sign) {
		this.size_min_sign = size_min_sign;
	}

	/** 
	 * 限制规格下限
	 */ 
	@Column
	private String size_min;
	public String  getSize_min() {
		return this.size_min;
	}
	public void setSize_min(String size_min) {
		this.size_min = size_min;
	}

	/** 
	 * 限制规格上限符号
	 */ 
	@Column
	private String size_max_sign;
	public String  getSize_max_sign() {
		return this.size_max_sign;
	}
	public void setSize_max_sign(String size_max_sign) {
		this.size_max_sign = size_max_sign;
	}

	/** 
	 * 限制规格上限
	 */ 
	@Column
	private String size_max;
	public String  getSize_max() {
		return this.size_max;
	}
	public void setSize_max(String size_max) {
		this.size_max = size_max;
	}

	/** 
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 */ 
	@Column
	private String spec_jg;
	public String  getSpec_jg() {
		return this.spec_jg;
	}
	public void setSpec_jg(String spec_jg) {
		this.spec_jg = spec_jg;
	}

	/** 
	 * 接箍规格描述
	 */ 
	@Column
	private String spec_jg_desc;
	public String  getSpec_jg_desc() {
		return this.spec_jg_desc;
	}
	public void setSpec_jg_desc(String spec_jg_desc) {
		this.spec_jg_desc = spec_jg_desc;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 替代元素代码
	 */ 
	@Column
	private String rep_code;
	public String  getRep_code() {
		return this.rep_code;
	}
	public void setRep_code(String rep_code) {
		this.rep_code = rep_code;
	}

	/** 
	 * 替代元素描述
	 */ 
	@Column
	private String rep_name;
	public String  getRep_name() {
		return this.rep_name;
	}
	public void setRep_name(String rep_name) {
		this.rep_name = rep_name;
	}

	/** 
	 * 替代元素下限符号
	 */ 
	@Column
	private String rep_min_sign;
	public String  getRep_min_sign() {
		return this.rep_min_sign;
	}
	public void setRep_min_sign(String rep_min_sign) {
		this.rep_min_sign = rep_min_sign;
	}

	/** 
	 * 替代元素下限
	 */ 
	@Column
	private String rep_min;
	public String  getRep_min() {
		return this.rep_min;
	}
	public void setRep_min(String rep_min) {
		this.rep_min = rep_min;
	}

	/** 
	 * 替代元素上限符号
	 */ 
	@Column
	private String rep_max_sign;
	public String  getRep_max_sign() {
		return this.rep_max_sign;
	}
	public void setRep_max_sign(String rep_max_sign) {
		this.rep_max_sign = rep_max_sign;
	}

	/** 
	 * 替代元素上限
	 */ 
	@Column
	private String rep_max;
	public String  getRep_max() {
		return this.rep_max;
	}
	public void setRep_max(String rep_max) {
		this.rep_max = rep_max;
	}

	/** 
	 * 替代元素值
	 */ 
	@Column
	private String rep_val;
	public String  getRep_val() {
		return this.rep_val;
	}
	public void setRep_val(String rep_val) {
		this.rep_val = rep_val;
	}

	/**
	 * 俢约位数（来源：COM_MSC_STD_CHEM）
	 */
	@Column
	private Integer round_off_digits;
	public Integer getRound_off_digits() {
		return round_off_digits;
	}
	public void setRound_off_digits(Integer round_off_digits) {
		this.round_off_digits = round_off_digits;
	}
	
	/**
	 * 俢约规则代码（来源：COM_MSC_STD_CHEM）
	 */
	@Column
	private String round_off_rules_code;
	public String getRound_off_rules_code() {
		return round_off_rules_code;
	}
	public void setRound_off_rules_code(String round_off_rules_code) {
		this.round_off_rules_code = round_off_rules_code;
	}
	
	/**
	 * 俢约规则名称（来源：COM_MSC_STD_CHEM）
	 */
	@Column
	private String round_off_rules_name;
	public String getRound_off_rules_name() {
		return round_off_rules_name;
	}
	public void setRound_off_rules_name(String round_off_rules_name) {
		this.round_off_rules_name = round_off_rules_name;
	}
	
	/**制程号*/
	@Column
	private String msc_pline;
	
	/**工序代码 */
	@Column
	private String process_code;
	public String getMsc_pline() {
		return msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}
	public String getProcess_code() {
		return process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}
	/**
	 * 最小值判定结果
	 */
	private String min;
	
	public String getMin() {
		return min;
	}
	public void setMin(String min) {
		this.min = min;
	}

	/**
	 * 最大值判定结果
	 */
	private String max;
	public String getMax() {
		return max;
	}
	public void setMax(String max) {
		this.max = max;
	}
	
	@Column
	private String pline_code;
	
	@Column
	private String pline_name;
	public String getPline_code() {
		return pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}
	public String getPline_name() {
		return pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}
	
	
	
}
